OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000062OMNeT++IDE / result analysispublic2009-04-06 12:362009-05-12 09:39
Reporterstkrause 
Assigned Totomi 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.1 
Summary0000062: Bug in scavetool: aggregates runs with different parameter settings
DescriptionIn some circumstances, scavetool will try to aggregate runs with different parameter settings.

This can occur because when comparing strings that contain floating point numbers strdictcmp, which is used by scavetool when trying to determine which runs to aggregate, sometimes returns zero even if the strings are not equal:
strdictcmp("0.01", "0.1") will return zero
The core of the problem is the usage of strtoul, wich will compare the first part of the number (up to the "."), and the remainder in a second step. In our example, it will conclude ("01" == "1").

A simple fix is to replace strtoul with strtod, which will cope with floating point numbers while retaining the semantic for integers as well. A patch with the change is attached.
Additional InformationThe bug occurs in omnetpp-4.0 release.
TagsNo tags attached.
Attached Filespatch file icon strdictcmp.patch [^] (843 bytes) 2009-04-06 12:36 [Show Content]

- Relationships

-  Notes
(0000147)
tomi (developer)
2009-05-11 11:51

Applied. Thanks for the patch.

- Issue History
Date Modified Username Field Change
2009-04-06 12:36 stkrause New Issue
2009-04-06 12:36 stkrause Assigned To => tomi
2009-04-06 12:36 stkrause File Added: strdictcmp.patch
2009-05-11 11:51 tomi Note Added: 0000147
2009-05-11 11:51 tomi Resolution open => fixed
2009-05-12 09:39 tomi Status new => resolved
2009-05-12 09:39 tomi Fixed in Version => 4.1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker